"""add curator capability

Revision ID: 5939146da7bb
Revises: 3eae1178cace
Create Date: 2023-10-23 22:04:43.801226

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '5939146da7bb'
down_revision = '3eae1178cace'
branch_labels = None
depends_on = None

wf_name = "curator"


def upgrade():
    op.execute(
        f"""
        INSERT INTO capabilities (capability_name, max_jobs, single_version_only)
        VALUES (E'{wf_name}', 10, true)
        """
    )

    op.execute(
        f"""
        INSERT INTO capability_state_machines (capability_name, machine_type, associated_workflows)
        VALUES (E'{wf_name}', 'simple', '{{"workflow_name": "{wf_name}"}}')
        """
    )


def downgrade():
    op.execute(
        f"""
        DELETE FROM capability_state_machines WHERE capability_name = {wf_name}
        """
    )

    op.execute(
        f"""
        DELETE FROM capabilities WHERE capability_name = {wf_name}
        """
    )
